# Lodging_FuzzyLookupCsv

Try to fuzzy match a list of tax names to Avalara tax and tax jurisdiction names.

`POST /v1/atcse/company/{company}/UdfDs/match/{state}`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Lodging
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Lodging/Lodging_FuzzyLookupCsv/

## Description

Rather than using this api, we recommend doing your own mapping to TaxName or TaxJurisdictionName, this is a convenience api only.

There is no guarantee for accuracy, you are responsible for making sure these estimates are correct.

Example `state`: "ID", `searchTerms`: [
 "Idaho State Sales Tax",
 "Pocatello-Chubbuck Auditorium District Tax"
]

These 2 rows will be added to your data, you may need to correct them.

match item 1: "TaxName": "ID State Sales & Use Tax", "TaxJurisdictionName": "IDAHO"

match item 2: "TaxName": "ID Special Sales & Use Tax", "TaxJurisdictionName": "POCATELLO CHUBBUCK AUDITORIUM DISTRICT SP"
.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | company id. |
| `state` | string | path | Yes | US state. |
| `jurisdictionLevel` | string | query | No | optional parameter if you know it. Accepted values: ['StateOrProvince', 'Special', 'CountyOrParish', 'PlaceOrCity']. |

## Request Body

**Content-Type:** `application/json`

**Content-Type:** `text/json`

**Content-Type:** `application/*+json`

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 403 | Forbidden | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

## Example Request

```bash
curl -X POST "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/company/{company}/UdfDs/match/{state}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```